# Method: users.get

> [!WARNING]
> Display \& Video 360 API v2 has sunset.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v2/users/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v2/users/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v2/users/get#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v2/users/get#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v2/users/get#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v2/users/get#try-it)

Gets a user.

This method has unique authentication requirements. Read the prerequisites in our [Managing Users guide](https://developers.google.com/display-video/api/guides/users/overview#prerequisites) before using this method.

The "Try this method" feature does not work for this method.

### HTTP request

`GET https://displayvideo.googleapis.com/v2/users/{userId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the user to fetch. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v2/users#User`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video-user-management`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).